## kwin-x11 6.4.4

=== autotests/integration/effects/CMakeLists.txt ===
integrationTest(NAME testTranslucency SRCS translucency_test.cpp LIBS XCB::ICCCM BUILTIN_EFFECTS)
integrationTest(NAME testSlidingPopups SRCS slidingpopups_test.cpp LIBS XCB::ICCCM BUILTIN_EFFECTS)
integrationTest(NAME testShadeWobblyWindows SRCS wobbly_shade_test.cpp LIBS XCB::ICCCM BUILTIN_EFFECTS)
integrationTest(NAME testScriptedEffects SRCS scripted_effects_test.cpp LIBS KF6::GlobalAccel BUILTIN_EFFECTS)
integrationTest(NAME testToplevelOpenCloseAnimation SRCS toplevel_open_close_animation_test.cpp BUILTIN_EFFECTS)
integrationTest(NAME testPopupOpenCloseAnimation SRCS popup_open_close_animation_test.cpp LIBS KF6::I18n KDecoration3::KDecoration3Private BUILTIN_EFFECTS)
integrationTest(NAME testDesktopSwitchingAnimation SRCS desktop_switching_animation_test.cpp BUILTIN_EFFECTS)
integrationTest(NAME testMinimizeAnimation SRCS minimize_animation_test.cpp BUILTIN_EFFECTS)
integrationTest(NAME testMaximizeAnimation SRCS maximize_animation_test.cpp BUILTIN_EFFECTS)

=== src/kcms/effects/CMakeLists.txt ===
# KI18N Translation Domain for this library.
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_kwin_effects_x11\")

########### next target ###############

set(kcm_kwin_effects_x11_PART_SRCS
    kcm.cpp
    effectsfilterproxymodel.cpp
    desktopeffectsdata.cpp
)

kcmutils_add_qml_kcm(kcm_kwin_effects_x11 SOURCES ${kcm_kwin_effects_x11_PART_SRCS})

target_link_libraries(kcm_kwin_effects_x11 PRIVATE
    Qt::DBus
    Qt::Quick

    KF6::KCMUtils
    KF6::I18n
    KF6::KCMUtils
    KF6::KCMUtilsQuick
    KF6::XmlGui

    kcmkwincommon
)

install(FILES kwineffect.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR} RENAME kwineffect-x11.knsrc)

=== debian/changelog ===
kwin-x11 (4:6.4.4-0zneon+24.04+noble+release+build7) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 08 Aug 2025 15:00:47 +0000

kwin-x11 (4:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:31:27 +0000

kwin-x11 (4:6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:21:11 +0000

kwin-x11 (4:6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:51:52 +0000

kwin-x11 (4:6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 25 Jun 2025 00:01:59 +0000

kwin-x11 (4:6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:40:03 +0000

kwin-x11 (4:6.3.80-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 18 May 2025 10:09:40 +1000

kwin-x11 (4:6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:02:02 +0000

=== debian/control ===
Source: kwin-x11
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: breeze-dev,
               cmake,
               debhelper-compat (= 13),
               g++-14,
               gcc-14,
               hwdata,
               kf6-extra-cmake-modules,
               kf6-kauth-dev,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdeclarative-dev,
               kf6-kdoctools-dev,
               kf6-kglobalaccel-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kidletime-dev,
               kf6-kio-dev,
               kf6-kirigami-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-kpackage-dev,
               kf6-krunner-dev,
               kf6-kservice-dev,
               kf6-ksvg-dev,
               kf6-ktextwidgets-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kglobalacceld-dev,
               kscreenlocker-dev,
               kwayland-dev,
               libaurorae-dev,
               libcanberra-dev,
               libcap-dev [linux-any],
               libdisplay-info-dev,
               libdrm-dev,
               libegl1-mesa-dev,
               libei-dev,
               libeis-dev,
               libepoxy-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libgbm-dev,
               libice-dev,
               libinput-dev,
               libkdecorations3-dev,
               liblcms2-dev,
               libpipewire-0.3-dev,
               libplasma-dev,
               libqaccessibilityclient-qt6-dev,
               libsm-dev,
               libsystemd-dev,
               libudev-dev [linux-any],
               libwayland-dev (>= 1.22),
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-cursor-dev,
               libxcb-damage0-dev,
               libxcb-dri3-dev,
               libxcb-glx0-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-present-dev,
               libxcb-randr0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libxcb-xinerama0-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxcvt-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-activities-dev,
               plasma-wayland-protocols,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-sensors-dev,
               qt6-svg-dev,
               qt6-tools-dev,
               qt6-wayland-dev,
               wayland-protocols,
               xwayland
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/kwin
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kwin-x11.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kwin-x11
Maintainer: Neon CI <neon@kde.org>

Package: kwin-x11-common
Architecture: any
Depends: aurorae,
         hwdata,
         kf6-kdeclarative,
         kf6-kglobalaccel,
         kf6-kirigami,
         libplasma6,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-quickcharts,
         qml6-module-qtmultimedia,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-virtualkeyboard,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libmaliit-plugins2,
            maliit-keyboard,
            plasma-desktop,
            python3,
            qt6-virtualkeyboard
Breaks: kwin-addons (<< 4:6), kwin-common (<< 4:6.3.80)
Replaces: kwin-addons (<< 4:6), kwin-common (<< 4:6.3.80)
Description: KDE window manager, X11 version - common files
 KWin/X11 is an X11 window manager and a compositing manager. Its primary
 usage is in conjunction with a Desktop Shell (e.g. KDE Plasma Desktop).
 .
 KWin/X11 is designed to go out of the way; users should not notice that
 they use a window manager at all. Nevertheless KWin/X11 provides a steep
 learning curve for advanced features, which are available, if they do not
 conflict with the primary mission. KWin does not have a dedicated targeted
 user group, but follows the targeted user group of the Desktop Shell using
 KWin/X11 as it's window manager.

Package: kwin-x11-dev
Section: libdevel
Architecture: any
X-Neon-MergedPackage: true
Depends: kf6-kconfig-dev,
         kf6-kcoreaddons-dev,
         kf6-kwindowsystem-dev,
         kwin-x11-common (= ${binary:Version}),
         libegl1-mesa-dev (>= 1.2~),
         libepoxy-dev (>= 1.2),
         libwayland-dev,
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE window manager, X11 version - devel files
 KWin/X11 is an X11 window manager and a compositing manager. Its primary
 usage is in conjunction with a Desktop Shell (e.g. KDE Plasma Desktop).
 .
 KWin/X11 is designed to go out of the way; users should not notice that
 they use a window manager at all. Nevertheless KWin/X11 provides a steep
 learning curve for advanced features, which are available, if they do not
 conflict with the primary mission. KWin does not have a dedicated targeted
 user group, but follows the targeted user group of the Desktop Shell using
 KWin/X11 as it's window manager.

Package: kwin-x11
Architecture: any
X-Neon-MergedPackage: true
Depends: kwin-x11-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: kwin-x11, x-window-manager
Description: KDE window manager, X11 version
 KWin/X11 is an X11 window manager and a compositing manager. Its primary
 usage is in conjunction with a Desktop Shell (e.g. KDE Plasma Desktop).
 .
 KWin/X11 is designed to go out of the way; users should not notice that
 they use a window manager at all. Nevertheless KWin/X11 provides a steep
 learning curve for advanced features, which are available, if they do not
 conflict with the primary mission. KWin does not have a dedicated targeted
 user group, but follows the targeted user group of the Desktop Shell using
 KWin/X11 as it's window manager.
